源码部署常见问题

更新时间: 2023-08-29 12:22:16

本文介绍Serverless 应用引擎 SAE(Serverless App Engine)源码部署的常见问题与解决方案。

常见问题列表

未设置ENTRYPOINT

当前,构建过程会自动推断应用的启动命令。在推断失效时,可以通过在控制台指定程序启动命令,也可以通过提供配置文件的方式自动探测启动地址。

缺少基础依赖包

目前,Ubuntu 22.04版本支持的基础依赖包如下:

autoconf、bison、blt-dev、build-essential、bzip2、ca-certificates、checkinstall、curl、debhelper、dpkg-dev、enchant-2、file、gettext-base、git、gnupg、iputils-ping、libblas-dev、libbz2-dev、libc-bin、libcurl4、libcurl4-openssl-dev、-2-2、libenchant-2-dev、libexpat1-dev、libffi-dev、libfontconfig1-dev、libfreetype6-dev、libgcrypt20-dev、libgd-dev、libgdbm-dev、libgdk-pixbuf2.0-dev、libgmp-dev、libgoogle-perftools-dev、libgssapi-krb5-2、libhashkit-dev、libicu-delibjpeg-dev、libjpeg-turbo8-dev、libjpeg8-dev、libk5crypto3、libkeyutils1、libkrb5-3、libkrb5-dev、libkrb5support0、liblapack-dev、libldap-2.5-0、libldap-common、libldap2-dev、liblzma-dev、libmagickcore-dev、libmagickwand-dev、libmempdec-dev、libmysqlclient-dev、libncursesw5-dev、libnghttp2-14、libonig-dev、libpng-dev、libpq-dev、libprotoc-dev、libpsl5、libreadline-dev、librsvg2-dev、librtmp1、libsasl2-2、libsasl2-dev、libsasl2-modules-db、libsnappy-dev、libsoum-dev、libsqlite3-0、libsqlite3-dev、libssl-dev、libssl3、libtidy-dev、libtiffxx5、libwebp-dev、libxml2-dev、libxslt1-dev、libyaml-dev、libzip-dev、locales、lsb-release、mime-support、netbase、openssl、php-pear、python3、re2c、rsynixodbc-dev、unzip、uuid-dev、wget、xz-utils、zip、zlib1g-dev

使用上述基础依赖包时,需要遵循如下使用限制:

  • 不支持手动安装依赖。

  • 不支持用户指定自定义的构建环境和应用运行环境。

  • 不支持手动编排Buildpacks执行逻辑。

运行时版本未支持

SAE支持的运行时版本列表,请参见支持的版本列表。如果现有的运行时无法满足您的需求,请联系我们

代码拉取失败

构建过程中需要到用户指定的仓库进行拉取,可能会遇到网络抖动、代码包过大等原因导致的拉取代码失败问题。请按照以下顺序排除故障:

  1. 检查代码仓库能否正常访问,是否更改了可见性权限。

  2. 检查代码包是否过大、代码总量是否超过本地磁盘限额。

  3. 如果使用中国内地的源码构建环境,推荐使用中国内地的代码托管平台导入代码。

确认无误后,在构建记录页面单击重试按钮,重新触发构建即可。更多信息,请参见查看应用构建详情

其他问题

如果现有的常见问题无法解决您的问题,您可以提交工单,提供具体问题、阿里云账号ID、TraceId等信息,提问模板如下。

在这里描述你的问题

---
源码部署构建失败,失败位置:${buildpack ID}
uid:12345678907654321;trace_id:123456-7654321-1234567;
image.png

阿里云首页 Serverless 应用引擎 相关技术圈